# Entity

Represents an object or resource in the Polymesh Ecosystem with its own set of properties and functionality

## Type parameters

▪ **UniqueIdentifiers**

▪ **HumanReadable**

## Hierarchy

* **Entity**

  ↳ [CheckpointSchedule](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)

  ↳ [CorporateActionBase](/polymesh-sdk-api-reference/docs-beta/classes/corporateactionbase.md)

  ↳ [Identity](/polymesh-sdk-api-reference/docs-beta/classes/identity.md)

  ↳ [Account](/polymesh-sdk-api-reference/docs-beta/classes/account.md)

  ↳ [TickerReservation](/polymesh-sdk-api-reference/docs-beta/classes/tickerreservation.md)

  ↳ [Asset](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)

  ↳ [AuthorizationRequest](/polymesh-sdk-api-reference/docs-beta/classes/authorizationrequest.md)

  ↳ [Offering](/polymesh-sdk-api-reference/docs-beta/classes/offering.md)

  ↳ [Venue](/polymesh-sdk-api-reference/docs-beta/classes/venue.md)

  ↳ [Instruction](/polymesh-sdk-api-reference/docs-beta/classes/instruction.md)

  ↳ [Portfolio](/polymesh-sdk-api-reference/docs-beta/classes/portfolio.md)

  ↳ [Checkpoint](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)

  ↳ [PermissionGroup](/polymesh-sdk-api-reference/docs-beta/classes/permissiongroup.md)

  ↳ [Subsidy](/polymesh-sdk-api-reference/docs-beta/classes/subsidy.md)

## Index

### Properties

* [context](#protected-context)
* [uuid](#uuid)

### Methods

* [exists](#abstract-exists)
* [isEqual](#isequal)
* [toHuman](#abstract-tohuman)
* [generateUuid](#static-generateuuid)
* [isUniqueIdentifiers](#static-isuniqueidentifiers)
* [unserialize](#static-unserialize)

## Properties

### `Protected` context

• **context**: *Context*

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L48)

***

### uuid

• **uuid**: *string*

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L46)

## Methods

### `Abstract` exists

▸ **exists**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Entity.ts:68*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L68)

Determine whether this Entity exists on chain

**Returns:** *Promise‹boolean›*

***

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)‹unknown, unknown›): *boolean*

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L61)

Determine whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                                |
| -------- | ----------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

***

### `Abstract` toHuman

▸ **toHuman**(): *HumanReadable*

*Defined in* [*src/api/entities/Entity.ts:73*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L73)

Returns Entity data in a human readable (JSON) format

**Returns:** *HumanReadable*

***

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

***

### `Static` isUniqueIdentifiers

▸ **isUniqueIdentifiers**(`identifiers`: unknown): *boolean*

*Defined in* [*src/api/entities/Entity.ts:42*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L42)

Typeguard that checks whether the object passed corresponds to the unique identifiers of the class. Must be overridden

**Parameters:**

| Name          | Type    | Description          |
| ------------- | ------- | -------------------- |
| `identifiers` | unknown | object to type check |

**Returns:** *boolean*

***

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
